jv.number

## Class PdColor_Dialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - jv.object.PsDialog
          - - jv.number.PdColor_Dialog

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ContainerListener, java.awt.event.KeyListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public class PdColor_Dialog
      extends PsDialog

  Dialog for picking color from a color wheel, activated by clicking inside the color field of info panel PdColor_IP. This class mainly creates a PuColorPicker and communicates with it.
  See Also:
    `PdColor`, `PdColor_IP`, `PuColorPicker`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    23.07.03, 1.20 revised (kp) Reset no longer calls super.reset().
    07.08.99, 1.10 revised (kp) Converted to AWT 1.1.
    00.00.98, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Dialog

      `java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsDialog

      `BUTTON_APPLY, BUTTON_CANCEL, BUTTON_CLEAR, BUTTON_CLOSE, BUTTON_HIDE, BUTTON_LOAD, BUTTON_OK, BUTTON_RESET, BUTTON_SAVE`

    - ### Fields inherited from class java.awt.Dialog

      `DEFAULT_MODALITY_TYPE`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdColor_Dialog(PdColor parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)` TODO: Method is obsolete if PsDialog does a reset() when cancel is pressed.
    `void` | `init()` This initialization method simply set the font of this dialog.
    `void` | `reset()` Reset the color
    `void` | `setParent(PsUpdateIf object)` Set parent of this dialog.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.
    `void` | `windowClosed(java.awt.event.WindowEvent event)` Invoke m_parent.update(this) and set action to BUTTON_CLOSE.

    - ### Methods inherited from class jv.object.PsDialog

      `addActionListener, componentAdded, componentRemoved, getBottomButtons, getFather, getInsets, getUserAction, instanceOf, keyPressed, keyReleased, keyTyped, removeActionListener, setHeader, setInsetSize, setLocation, setSize, windowActivated, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

    - ### Methods inherited from class java.awt.Dialog

      `addNotify, getAccessibleContext, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setType, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PdColor_Dialog

          public PdColor_Dialog(PdColor parent)

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsDialog`
      This initialization method simply set the font of this dialog.
      Overrides:
        `init` in class `PsDialog`

    - #### setParent

          public void setParent(PsUpdateIf object)

      Description copied from class: `PsDialog`
      Set parent of this dialog. Should be overwritten by subclasses to initialize according to the data of the parent object. Subclasses should call super.setParent(object) as one of the first statements.
      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsDialog`
      Parameters:
        `object` - will receive events which `this` does not handle
      See Also:
        `PsDialog.getFather()`, `PsDialog.update(Object)`

    - #### update

          public boolean update(java.lang.Object event)

      Description copied from class: `PsDialog`
      Update the class whenever a child has changed. Method is usually invoked from a child.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsDialog`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsDialog.getFather()`, `PsDialog.setParent(PsUpdateIf)`

    - #### reset

          public void reset()

      Reset the color
      Overrides:
        `reset` in class `PsDialog`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      TODO: Method is obsolete if PsDialog does a reset() when cancel is pressed. Currently, PsDialog just closes the window since reset() does not work correctly in PuDouble_Config or so.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Overrides:
        `actionPerformed` in class `PsDialog`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent event)

      Invoke m_parent.update(this) and set action to BUTTON_CLOSE.
      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`
      Overrides:
        `windowClosed` in class `PsDialog`

"

The software JavaView? is copyright protected. All Rights Reserved.
"